Difference between revisions of "Buildroot:Python2Packages"

From eLinux.org
Jump to: navigation, search
(libdnet and libimxvpuapi finished)
m (tvheadend)
 
(3 intermediate revisions by the same user not shown)
Line 11: Line 11:
 
* gdb: seems to be compatible with both Python 2 and 3, but not sure since which version
 
* gdb: seems to be compatible with both Python 2 and 3, but not sure since which version
 
* <s> gnuradio: currently in v3.7.13.5, can be bumped to v3.8+ which supports Python 3. Work can resume from these patches: http://patchwork.ozlabs.org/patch/1158469/ and http://patchwork.ozlabs.org/patch/1158470/ New series under review: https://patchwork.ozlabs.org/project/buildroot/list/?series=153798 (+ 1 patch that got lost alone: https://patchwork.ozlabs.org/patch/1224753/)</s> DONE!
 
* <s> gnuradio: currently in v3.7.13.5, can be bumped to v3.8+ which supports Python 3. Work can resume from these patches: http://patchwork.ozlabs.org/patch/1158469/ and http://patchwork.ozlabs.org/patch/1158470/ New series under review: https://patchwork.ozlabs.org/project/buildroot/list/?series=153798 (+ 1 patch that got lost alone: https://patchwork.ozlabs.org/patch/1224753/)</s> DONE!
* jailhouse: no clear indication, but there are some signs towards Python 3 support (https://github.com/siemens/jailhouse/blob/master/pyjailhouse/extendedenum.py#L12-L21)
+
* <s>jailhouse</s>: DONE!
 
* <s> Kodi: Upstream announces an ongoing effort to move to Python3 in the upcoming v19: https://kodi.wiki/view/Migration_to_Python_3. Only Python2 for now ! </s> DONE!
 
* <s> Kodi: Upstream announces an ongoing effort to move to Python3 in the upcoming v19: https://kodi.wiki/view/Migration_to_Python_3. Only Python2 for now ! </s> DONE!
 
* <s>libdnet</s>: Updated to 1.14 which supports python3
 
* <s>libdnet</s>: Updated to 1.14 which supports python3
Line 49: Line 49:
 
* <u>ogre</u>
 
* <u>ogre</u>
 
* <u>host-omniorb</u>
 
* <u>host-omniorb</u>
* qpid-proton
+
* <u>qpid-proton</u>
 
* qt5webengine
 
* qt5webengine
* qt5webkit
+
* <u>qt5webkit</u>
 
* <u>rust</u>
 
* <u>rust</u>
 
* <u>sdbusplus</u>
 
* <u>sdbusplus</u>
 
* <u>spidermonkey</u>: Removed! Spidermonkey was only used for Polkit which now used duktape as the backend.
 
* <u>spidermonkey</u>: Removed! Spidermonkey was only used for Polkit which now used duktape as the backend.
* tvheadend
+
* <u>tvheadend</u>
 
* <u>webkitgtk</u>
 
* <u>webkitgtk</u>
 
* <u>wpewebkit</u>
 
* <u>wpewebkit</u>

Latest revision as of 16:40, 4 January 2022

In an effort to follow the Python2 deprecation on the 1st of January 2020, here is a listing of current Buildroot packages that depend on Python2 (as of master during the [developer days at FOSDEM 2020])

Non Python packages

These packages integrate with Python2: either they contain scripts written in Python, or they install Python libraries as byproducts.

Python packages

(TBD) These packages are Python libraries that can then be imported by Python scripts

Python in the build system

These packages use Python in their build process, hence requiring host-python (or host-python3). We aim at removing dependencies on host-python(2) where possible, and therefore remove conditionals such as illustrated below. This should instead unconditionnally depend on host-python3 now:

ifeq ($(BR2_PACKAGE_PYTHON)
FOO_DEPENDENCIES += host-python
else
FOO_DEPENDENCIES += host-python3
endif

At the moment, the following packages reference host-python(2). In the following list, the packages that are underlined have been migrated and tested with only host-python3 by Titouan[1]. This will be posted soon in a series to the mailing list.

  • ca-certificates
  • canfestival: Removed
  • host-dbus-python
  • host-gdb
  • gnuradio
  • gst1-validate
  • host-gtest
  • libimxvpuapi
  • libsigrock
  • libxcb
  • midori
  • nodejs
  • ogre
  • host-omniorb
  • qpid-proton
  • qt5webengine
  • qt5webkit
  • rust
  • sdbusplus
  • spidermonkey: Removed! Spidermonkey was only used for Polkit which now used duktape as the backend.
  • tvheadend
  • webkitgtk
  • wpewebkit
  • xcb-proto, host-xcb-proto
  • zynq-boot-bin

waf

The waf-package infrastructure has been fully migrated to host-python3

Scons

All packages using SCons (no dedicated infrastructure) have been migrated to host-python3